
-- Function called when the mount has changed
function MountedChanged()

	MYMOUNT = nil;
	MYMOUNT = MYCHAR:GetMount();

	if MYMOUNT == nil then
		-- Not mounted
		HideDisplay();
	else
		-- Mounted
		ShowDisplay();
	end

end


function ShowDisplay()

	DrawHUD();

end


function HideDisplay()

	ClearHUD();

end


function GetMountType(MOUNT)

	if MOUNT == nil then return nil end;

	if MOUNT.GetArmor ~= nil then
		return "WARSTEED";
	else
		return "BASIC";
	end

end


function IsMounted()

	if MYMOUNT ~= nil then
		return true;
	else
		return false;
	end

end


function GetTurbineColor(COLORSETTING)

	return Turbine.UI.Color(COLORSETTING.R,COLORSETTING.G,COLORSETTING.B);

end


